Widget tool bridge (allow-listed per resource, exact-key argument policies)
curl --request POST \
--url https://api.semicola.com/mcp/{toolName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tool": "<string>",
"arguments": {},
"pageCapability": "<string>",
"clientRequestId": "<string>",
"resourceUri": "<string>",
"conversationUid": "<string>"
}
'import requests
url = "https://api.semicola.com/mcp/{toolName}"
payload = {
"tool": "<string>",
"arguments": {},
"pageCapability": "<string>",
"clientRequestId": "<string>",
"resourceUri": "<string>",
"conversationUid": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tool: '<string>',
arguments: {},
pageCapability: '<string>',
clientRequestId: '<string>',
resourceUri: '<string>',
conversationUid: '<string>'
})
};
fetch('https://api.semicola.com/mcp/{toolName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"content": [
{
"type": "text",
"text": "<string>"
}
],
"structuredContent": {},
"isError": true,
"_meta": {}
},
"jsonrpc": "2.0",
"id": "<string>"
}Widget host
Widget tool bridge (allow-listed per resource, exact-key argument policies)
POST
/
mcp
/
{toolName}
Widget tool bridge (allow-listed per resource, exact-key argument policies)
Authorizations
bearerAuthsessionCookie
API key or OAuth access token.
Path Parameters
Pattern:
^[a-z0-9_]+$Body
application/json
Minimum string length:
1Show child attributes
Show child attributes
Available options:
page, v3 Pattern:
^ui:\/\/semicola\/[a-z0-9-]+\/mcp-app\.html$Minimum string length:
6